POST api/cabreaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CabReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| cab_reader_type_id | globally unique identifier |
Required |
|
| port_com | integer |
None. |
|
| baudrate | integer |
None. |
|
| handshake | integer |
Required |
|
| read_time_out | integer |
None. |
|
| write_time_out | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| site_id | globally unique identifier |
Required |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "7fec5323-6e2c-445a-8549-9845a19722c4",
"name": "sample string 2",
"cab_reader_type_id": "35a2c96d-a62a-4863-9598-a5a3cdd9ac83",
"port_com": 1,
"baudrate": 1,
"handshake": 4,
"read_time_out": 1,
"write_time_out": 1,
"pc_id": "a82d5229-a441-4e83-8055-25a7352a319a",
"active": true,
"site_id": "17e5e4de-4b58-418e-9fd3-37723ddab903",
"parity": 7,
"data_bits": 8,
"stop_bits": 9
}
application/xml, text/xml
Sample:
<cab_reader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <baudrate>1</baudrate> <cab_reader_type_id>35a2c96d-a62a-4863-9598-a5a3cdd9ac83</cab_reader_type_id> <data_bits>8</data_bits> <handshake>4</handshake> <id>7fec5323-6e2c-445a-8549-9845a19722c4</id> <name>sample string 2</name> <parity>7</parity> <pc_id>a82d5229-a441-4e83-8055-25a7352a319a</pc_id> <port_com>1</port_com> <read_time_out>1</read_time_out> <site_id>17e5e4de-4b58-418e-9fd3-37723ddab903</site_id> <stop_bits>9</stop_bits> <write_time_out>1</write_time_out> </cab_reader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"d84e6e10-eede-4820-9cd2-94cfb6f5d494"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d84e6e10-eede-4820-9cd2-94cfb6f5d494</guid>